Name:           python-bundled-wheels
Version:        0
Release:        1%{?dist}
Summary:        Wheels to be bundled with Python tools for virtual environments
# Individual packages have their licenses, there is no "main" package here
License:        Public Domain
URL:            https://pypi.org/
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)

# Use this script to generate the specfile:
Source0:        %{name}.py

Source11:       %pypi_source setuptools 21.2.1 zip
Source12:       %pypi_source setuptools 28.8.0 zip
Source13:       %pypi_source setuptools 36.8.0 zip
Source14:       %pypi_source setuptools 39.0.1 zip
Source15:       %pypi_source setuptools 39.1.0 zip

Source21:       %pypi_source pip 8.1.2
Source22:       %pypi_source pip 9.0.1
Source23:       %pypi_source pip 9.0.3
Source24:       %pypi_source pip 10.0.1

Source31:       %pypi_source wheel 0.29.0
Source32:       %pypi_source wheel 0.31.1

Source41:       %pypi_source argparse 1.4.0



%global wheeldir %{_datadir}/%{name}

%description
The purpose of this package is to build various Python wheels to be bundled
with Python tools for virtual environments, instead of taking prebuilt bundled
wheels from upstreams. This also allows to deduplicate the wheels and specify
the licenses better (no need to specify them in the projects that need those).


%package filesystem
Summary:        A directory for %{name}

%description filesystem
A directory for shared wheels.



%package setuptools-21.2.1
Version:        21.2.1
License:        MIT
Summary:        The setuptools-21.2.1-py2.py3-none-any.whl wheel
URL:            https://pypi.python.org/pypi/setuptools
Requires:       %{name}-filesystem
Provides:       bundled(python2dist(setuptools)) = 21.2.1
Provides:       bundled(python3dist(setuptools)) = 21.2.1
Provides:       wheel(setuptools-21.2.1-py2.py3-none-any.whl) = 21.2.1

%description setuptools-21.2.1
The setuptools-21.2.1-py2.py3-none-any.whl wheel.


%package setuptools-28.8.0
Version:        28.8.0
License:        MIT
Summary:        The setuptools-28.8.0-py2.py3-none-any.whl wheel
URL:            https://pypi.python.org/pypi/setuptools
Requires:       %{name}-filesystem
Provides:       bundled(python2dist(setuptools)) = 28.8.0
Provides:       bundled(python3dist(setuptools)) = 28.8.0
Provides:       wheel(setuptools-28.8.0-py2.py3-none-any.whl) = 28.8.0

%description setuptools-28.8.0
The setuptools-28.8.0-py2.py3-none-any.whl wheel.


%package setuptools-36.8.0
Version:        36.8.0
License:        MIT
Summary:        The setuptools-36.8.0-py2.py3-none-any.whl wheel
URL:            https://pypi.python.org/pypi/setuptools
Requires:       %{name}-filesystem
Provides:       bundled(python2dist(setuptools)) = 36.8.0
Provides:       bundled(python3dist(setuptools)) = 36.8.0
Provides:       wheel(setuptools-36.8.0-py2.py3-none-any.whl) = 36.8.0

%description setuptools-36.8.0
The setuptools-36.8.0-py2.py3-none-any.whl wheel.


%package setuptools-39.0.1
Version:        39.0.1
License:        MIT
Summary:        The setuptools-39.0.1-py2.py3-none-any.whl wheel
URL:            https://pypi.python.org/pypi/setuptools
Requires:       %{name}-filesystem
Provides:       bundled(python2dist(setuptools)) = 39.0.1
Provides:       bundled(python3dist(setuptools)) = 39.0.1
Provides:       wheel(setuptools-39.0.1-py2.py3-none-any.whl) = 39.0.1

%description setuptools-39.0.1
The setuptools-39.0.1-py2.py3-none-any.whl wheel.


%package setuptools-39.1.0
Version:        39.1.0
License:        MIT
Summary:        The setuptools-39.1.0-py2.py3-none-any.whl wheel
URL:            https://pypi.python.org/pypi/setuptools
Requires:       %{name}-filesystem
Provides:       bundled(python2dist(setuptools)) = 39.1.0
Provides:       bundled(python3dist(setuptools)) = 39.1.0
Provides:       wheel(setuptools-39.1.0-py2.py3-none-any.whl) = 39.1.0

%description setuptools-39.1.0
The setuptools-39.1.0-py2.py3-none-any.whl wheel.


%package pip-8.1.2
Version:        8.1.2
License:        MIT and Python and ASL 2.0 and BSD and ISC and (BSD or ASL 2.0)
Summary:        The pip-8.1.2-py2.py3-none-any.whl wheel
URL:            https://pypi.python.org/pypi/pip
Requires:       %{name}-filesystem
Provides:       bundled(python2dist(pip)) = 8.1.2
Provides:       bundled(python3dist(pip)) = 8.1.2
Provides:       wheel(pip-8.1.2-py2.py3-none-any.whl) = 8.1.2

Provides:       bundled(python2dist(distlib)) = 0.2.3
Provides:       bundled(python2dist(html5lib)) = 1.0b8
Provides:       bundled(python2dist(six)) = 1.10.0
Provides:       bundled(python2dist(colorama)) = 0.3.7
Provides:       bundled(python2dist(requests)) = 2.10.0
Provides:       bundled(python2dist(CacheControl)) = 0.11.6
Provides:       bundled(python2dist(lockfile)) = 0.12.2
Provides:       bundled(python2dist(progress)) = 1.2
Provides:       bundled(python2dist(ipaddress)) = 1.0.16
Provides:       bundled(python2dist(packaging)) = 16.7
Provides:       bundled(python2dist(pyparsing)) = 2.1.1
Provides:       bundled(python2dist(retrying)) = 1.3.3

Provides:       bundled(python3dist(distlib)) = 0.2.3
Provides:       bundled(python3dist(html5lib)) = 1.0b8
Provides:       bundled(python3dist(six)) = 1.10.0
Provides:       bundled(python3dist(colorama)) = 0.3.7
Provides:       bundled(python3dist(requests)) = 2.10.0
Provides:       bundled(python3dist(CacheControl)) = 0.11.6
Provides:       bundled(python3dist(lockfile)) = 0.12.2
Provides:       bundled(python3dist(progress)) = 1.2
Provides:       bundled(python3dist(ipaddress)) = 1.0.16
Provides:       bundled(python3dist(packaging)) = 16.7
Provides:       bundled(python3dist(pyparsing)) = 2.1.1
Provides:       bundled(python3dist(retrying)) = 1.3.3

%description pip-8.1.2
The pip-8.1.2-py2.py3-none-any.whl wheel.


%package pip-9.0.1
Version:        9.0.1
License:        MIT and Python and ASL 2.0 and BSD and ISC and (BSD or ASL 2.0)
Summary:        The pip-9.0.1-py2.py3-none-any.whl wheel
URL:            https://pypi.python.org/pypi/pip
Requires:       %{name}-filesystem
Provides:       bundled(python2dist(pip)) = 9.0.1
Provides:       bundled(python3dist(pip)) = 9.0.1
Provides:       wheel(pip-9.0.1-py2.py3-none-any.whl) = 9.0.1

Provides:       bundled(python2dist(appdirs)) = 1.4.0
Provides:       bundled(python2dist(distlib)) = 0.2.4
Provides:       bundled(python2dist(distro)) = 1.0.1
Provides:       bundled(python2dist(html5lib)) = 1.0b10
Provides:       bundled(python2dist(six)) = 1.10.0
Provides:       bundled(python2dist(colorama)) = 0.3.7
Provides:       bundled(python2dist(requests)) = 2.11.1
Provides:       bundled(python2dist(CacheControl)) = 0.11.7
Provides:       bundled(python2dist(lockfile)) = 0.12.2
Provides:       bundled(python2dist(ordereddict)) = 1.1
Provides:       bundled(python2dist(progress)) = 1.2
Provides:       bundled(python2dist(ipaddress)) = 1.0.17
Provides:       bundled(python2dist(packaging)) = 16.8
Provides:       bundled(python2dist(pyparsing)) = 2.1.10
Provides:       bundled(python2dist(retrying)) = 1.3.3
Provides:       bundled(python2dist(webencodings)) = 0.5

Provides:       bundled(python3dist(appdirs)) = 1.4.0
Provides:       bundled(python3dist(distlib)) = 0.2.4
Provides:       bundled(python3dist(distro)) = 1.0.1
Provides:       bundled(python3dist(html5lib)) = 1.0b10
Provides:       bundled(python3dist(six)) = 1.10.0
Provides:       bundled(python3dist(colorama)) = 0.3.7
Provides:       bundled(python3dist(requests)) = 2.11.1
Provides:       bundled(python3dist(CacheControl)) = 0.11.7
Provides:       bundled(python3dist(lockfile)) = 0.12.2
Provides:       bundled(python3dist(ordereddict)) = 1.1
Provides:       bundled(python3dist(progress)) = 1.2
Provides:       bundled(python3dist(ipaddress)) = 1.0.17
Provides:       bundled(python3dist(packaging)) = 16.8
Provides:       bundled(python3dist(pyparsing)) = 2.1.10
Provides:       bundled(python3dist(retrying)) = 1.3.3
Provides:       bundled(python3dist(webencodings)) = 0.5

%description pip-9.0.1
The pip-9.0.1-py2.py3-none-any.whl wheel.


%package pip-9.0.3
Version:        9.0.3
License:        MIT and Python and ASL 2.0 and BSD and ISC and (BSD or ASL 2.0)
Summary:        The pip-9.0.3-py2.py3-none-any.whl wheel
URL:            https://pypi.python.org/pypi/pip
Requires:       %{name}-filesystem
Provides:       bundled(python2dist(pip)) = 9.0.3
Provides:       bundled(python3dist(pip)) = 9.0.3
Provides:       wheel(pip-9.0.3-py2.py3-none-any.whl) = 9.0.3

Provides:       bundled(python2dist(appdirs)) = 1.4.0
Provides:       bundled(python2dist(distlib)) = 0.2.4
Provides:       bundled(python2dist(distro)) = 1.0.1
Provides:       bundled(python2dist(html5lib)) = 1.0b10
Provides:       bundled(python2dist(six)) = 1.10.0
Provides:       bundled(python2dist(colorama)) = 0.3.7
Provides:       bundled(python2dist(requests)) = 2.11.1
Provides:       bundled(python2dist(CacheControl)) = 0.11.7
Provides:       bundled(python2dist(lockfile)) = 0.12.2
Provides:       bundled(python2dist(ordereddict)) = 1.1
Provides:       bundled(python2dist(progress)) = 1.2
Provides:       bundled(python2dist(ipaddress)) = 1.0.17
Provides:       bundled(python2dist(packaging)) = 16.8
Provides:       bundled(python2dist(pyparsing)) = 2.1.10
Provides:       bundled(python2dist(retrying)) = 1.3.3
Provides:       bundled(python2dist(webencodings)) = 0.5

Provides:       bundled(python3dist(appdirs)) = 1.4.0
Provides:       bundled(python3dist(distlib)) = 0.2.4
Provides:       bundled(python3dist(distro)) = 1.0.1
Provides:       bundled(python3dist(html5lib)) = 1.0b10
Provides:       bundled(python3dist(six)) = 1.10.0
Provides:       bundled(python3dist(colorama)) = 0.3.7
Provides:       bundled(python3dist(requests)) = 2.11.1
Provides:       bundled(python3dist(CacheControl)) = 0.11.7
Provides:       bundled(python3dist(lockfile)) = 0.12.2
Provides:       bundled(python3dist(ordereddict)) = 1.1
Provides:       bundled(python3dist(progress)) = 1.2
Provides:       bundled(python3dist(ipaddress)) = 1.0.17
Provides:       bundled(python3dist(packaging)) = 16.8
Provides:       bundled(python3dist(pyparsing)) = 2.1.10
Provides:       bundled(python3dist(retrying)) = 1.3.3
Provides:       bundled(python3dist(webencodings)) = 0.5

%description pip-9.0.3
The pip-9.0.3-py2.py3-none-any.whl wheel.


%package pip-10.0.1
Version:        10.0.1
License:        MIT and Python and ASL 2.0 and BSD and ISC and LGPLv2 and MPLv2.0 and (ASL 2.0 or BSD)
Summary:        The pip-10.0.1-py2.py3-none-any.whl wheel
URL:            https://pypi.python.org/pypi/pip
Requires:       %{name}-filesystem
Provides:       bundled(python2dist(pip)) = 10.0.1
Provides:       bundled(python3dist(pip)) = 10.0.1
Provides:       wheel(pip-10.0.1-py2.py3-none-any.whl) = 10.0.1

Provides:       bundled(python2dist(appdirs)) = 1.4.3
Provides:       bundled(python2dist(distlib)) = 0.2.7
Provides:       bundled(python2dist(distro)) = 1.2.0
Provides:       bundled(python2dist(html5lib)) = 1.0.1
Provides:       bundled(python2dist(six)) = 1.11.0
Provides:       bundled(python2dist(colorama)) = 0.3.9
Provides:       bundled(python2dist(CacheControl)) = 0.12.4
Provides:       bundled(python2dist(msgpack-python)) = 0.5.6
Provides:       bundled(python2dist(lockfile)) = 0.12.2
Provides:       bundled(python2dist(progress)) = 1.3
Provides:       bundled(python2dist(ipaddress)) = 1.0.19
Provides:       bundled(python2dist(packaging)) = 17.1
Provides:       bundled(python2dist(pyparsing)) = 2.2.0
Provides:       bundled(python2dist(pytoml)) = 0.1.14
Provides:       bundled(python2dist(retrying)) = 1.3.3
Provides:       bundled(python2dist(requests)) = 2.18.4
Provides:       bundled(python2dist(chardet)) = 3.0.4
Provides:       bundled(python2dist(idna)) = 2.6
Provides:       bundled(python2dist(urllib3)) = 1.22
Provides:       bundled(python2dist(certifi)) = 2018.1.18
Provides:       bundled(python2dist(setuptools)) = 39.0.1
Provides:       bundled(python2dist(webencodings)) = 0.5.1

Provides:       bundled(python3dist(appdirs)) = 1.4.3
Provides:       bundled(python3dist(distlib)) = 0.2.7
Provides:       bundled(python3dist(distro)) = 1.2.0
Provides:       bundled(python3dist(html5lib)) = 1.0.1
Provides:       bundled(python3dist(six)) = 1.11.0
Provides:       bundled(python3dist(colorama)) = 0.3.9
Provides:       bundled(python3dist(CacheControl)) = 0.12.4
Provides:       bundled(python3dist(msgpack-python)) = 0.5.6
Provides:       bundled(python3dist(lockfile)) = 0.12.2
Provides:       bundled(python3dist(progress)) = 1.3
Provides:       bundled(python3dist(ipaddress)) = 1.0.19
Provides:       bundled(python3dist(packaging)) = 17.1
Provides:       bundled(python3dist(pyparsing)) = 2.2.0
Provides:       bundled(python3dist(pytoml)) = 0.1.14
Provides:       bundled(python3dist(retrying)) = 1.3.3
Provides:       bundled(python3dist(requests)) = 2.18.4
Provides:       bundled(python3dist(chardet)) = 3.0.4
Provides:       bundled(python3dist(idna)) = 2.6
Provides:       bundled(python3dist(urllib3)) = 1.22
Provides:       bundled(python3dist(certifi)) = 2018.1.18
Provides:       bundled(python3dist(setuptools)) = 39.0.1
Provides:       bundled(python3dist(webencodings)) = 0.5.1

%description pip-10.0.1
The pip-10.0.1-py2.py3-none-any.whl wheel.


%package wheel-0.29.0
Version:        0.29.0
License:        MIT
Summary:        The wheel-0.29.0-py2.py3-none-any.whl wheel
URL:            https://pypi.python.org/pypi/wheel
Requires:       %{name}-filesystem
Provides:       bundled(python2dist(wheel)) = 0.29.0
Provides:       bundled(python3dist(wheel)) = 0.29.0
Provides:       wheel(wheel-0.29.0-py2.py3-none-any.whl) = 0.29.0

%description wheel-0.29.0
The wheel-0.29.0-py2.py3-none-any.whl wheel.


%package wheel-0.31.1
Version:        0.31.1
License:        MIT
Summary:        The wheel-0.31.1-py2.py3-none-any.whl wheel
URL:            https://pypi.python.org/pypi/wheel
Requires:       %{name}-filesystem
Provides:       bundled(python2dist(wheel)) = 0.31.1
Provides:       bundled(python3dist(wheel)) = 0.31.1
Provides:       wheel(wheel-0.31.1-py2.py3-none-any.whl) = 0.31.1

%description wheel-0.31.1
The wheel-0.31.1-py2.py3-none-any.whl wheel.


%package argparse-1.4.0
Version:        1.4.0
License:        Python
Summary:        The argparse-1.4.0-py2.py3-none-any.whl wheel
URL:            https://pypi.python.org/pypi/argparse
Requires:       %{name}-filesystem
Provides:       bundled(python2dist(argparse)) = 1.4.0
Provides:       bundled(python3dist(argparse)) = 1.4.0
Provides:       wheel(argparse-1.4.0-py2.py3-none-any.whl) = 1.4.0

%description argparse-1.4.0
The argparse-1.4.0-py2.py3-none-any.whl wheel.

%prep
%setup -qTc  -a11 -a12 -a13 -a14 -a15 -a21 -a22 -a23 -a24 -a31 -a32 -a41


%build
for VERSION in 21.2.1 28.8.0 36.8.0 39.0.1 39.1.0; do
  pushd setuptools-$VERSION
    %{__python3} -m pip wheel .
  popd
done
for VERSION in 8.1.2 9.0.1 9.0.3 10.0.1; do
  pushd pip-$VERSION
    %{__python3} -m pip wheel .
  popd
done
for VERSION in 0.29.0 0.31.1; do
  pushd wheel-$VERSION
    %{__python3} -m pip wheel .
  popd
done
for VERSION in 1.4.0; do
  pushd argparse-$VERSION
    %{__python3} -m pip wheel .
  popd
done


%install
mkdir -p %{buildroot}/%{wheeldir}
cp -p *-*/*.whl %{buildroot}/%{wheeldir}/


%files filesystem
%dir %{wheeldir}/


%files setuptools-21.2.1
%{wheeldir}/setuptools-21.2.1-py2.py3-none-any.whl


%files setuptools-28.8.0
%license setuptools-28.8.0/LICENSE*
%{wheeldir}/setuptools-28.8.0-py2.py3-none-any.whl


%files setuptools-36.8.0
%license setuptools-36.8.0/LICENSE*
%{wheeldir}/setuptools-36.8.0-py2.py3-none-any.whl


%files setuptools-39.0.1
%license setuptools-39.0.1/LICENSE*
%{wheeldir}/setuptools-39.0.1-py2.py3-none-any.whl


%files setuptools-39.1.0
%license setuptools-39.1.0/LICENSE*
%{wheeldir}/setuptools-39.1.0-py2.py3-none-any.whl


%files pip-8.1.2
%license pip-8.1.2/LICENSE*
%{wheeldir}/pip-8.1.2-py2.py3-none-any.whl


%files pip-9.0.1
%license pip-9.0.1/LICENSE*
%{wheeldir}/pip-9.0.1-py2.py3-none-any.whl


%files pip-9.0.3
%license pip-9.0.3/LICENSE*
%{wheeldir}/pip-9.0.3-py2.py3-none-any.whl


%files pip-10.0.1
%license pip-10.0.1/LICENSE*
%{wheeldir}/pip-10.0.1-py2.py3-none-any.whl


%files wheel-0.29.0
%license wheel-0.29.0/LICENSE*
%{wheeldir}/wheel-0.29.0-py2.py3-none-any.whl


%files wheel-0.31.1
%license wheel-0.31.1/LICENSE*
%{wheeldir}/wheel-0.31.1-py2.py3-none-any.whl


%files argparse-1.4.0
%license argparse-1.4.0/LICENSE*
%{wheeldir}/argparse-1.4.0-py2.py3-none-any.whl


%changelog
* Fri Jul 20 2018 Miro Hrončok <mhroncok@redhat.com> - 0-1
- Initial package
